Project JEDI - Issue Tracker
Mantis Bugtracker

Viewing Issue Simple Details Jump to Notes ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0004430 [JEDI VCL] 00 JVCL Components minor always 2008-08-21 07:53 2008-10-26 05:16
Reporter aducom View Status public  
Assigned To AHUser
Priority normal Resolution fixed  
Status resolved   Product Version 3.33
Summary 0004430: Addition to TJVRichEdit (and sample)
Description The sample has the autorecognize hyperlinks on. But if you want to add a hyperlink w.o. showing the link (hidden hyperlink) then that's not possible. If next procedure is added then a button on the panel creating the hyperlink will be possible. Of course the sample need to have a popup to enter a hyperlink, but that's trivial.

procedure TJvCustomRichEdit.SetSelectionLink;
var
    CF: TCharFormatA;
begin
    FillChar(CF, SizeOf(CF), 0);
    CF.cbSize := SizeOf(CF);
    CF.dwMask := CFM_LINK;
    CF.dwEffects := CFE_LINK;
    SendMessage(Handle, EM_SETCHARFORMAT, SCF_SELECTION, Integer(addr(CF)));
end;

Just add a space before the word and the hyperlink is deleted.
Additional Information
Tags No tags attached.
Attached Files

- Relationships

-  Notes
(0014530)
obones (administrator)
2008-09-03 09:20

So what is the request or question here?
What do you want?
(0014533)
aducom (reporter)
2008-09-03 09:40

Two things:
To add the mentioned procedure into the jvcl source to enhance the component. With this function it is possible to add a hyperlink under a word, in stead of showing the full hyperlink.
Second, to add a button in the sample which call this function. Just select a word and click on the button. This will make the word a hyperlink which will fire the appropiate event on the jvcl component. I'll do that last one if you want... Can't change the official code. Just let me know.

albert
(0014812)
obones (administrator)
2008-10-10 05:06

Ok, thanks for the comment.
Issue available for anyone to look at.
(0014908)
AHUser (developer)
2008-10-26 05:16

Added to SVN head.

- Issue History
Date Modified Username Field Change
2008-08-21 07:53 aducom New Issue
2008-08-21 07:55 aducom Issue Monitored: aducom
2008-09-03 09:20 obones Note Added: 0014530
2008-09-03 09:20 obones Status new => feedback
2008-09-03 09:40 aducom Note Added: 0014533
2008-10-10 05:06 obones Note Added: 0014812
2008-10-10 05:06 obones Status feedback => acknowledged
2008-10-26 05:16 AHUser Status acknowledged => resolved
2008-10-26 05:16 AHUser Fixed in Version => Daily / SVN
2008-10-26 05:16 AHUser Resolution open => fixed
2008-10-26 05:16 AHUser Assigned To => AHUser
2008-10-26 05:16 AHUser Note Added: 0014908


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker